﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NearCardAttendance.Common
{
    public class Consts
    {
        /// <summary>
        /// HttpClient常用配置分组名称
        /// </summary>
        public const string DEFAULT_HTTPCLIENT_NAME = "DEFAULT_HTTP";

        /// <summary>
        /// 纪元时间（UTC时间戳起始计算时间）
        /// </summary>
        public static DateTime EraUtcTime = DateTime.Parse("1970/01/01");

        /// <summary>
        /// 有效定位的半径阈值（大于该值则为无效定位）
        /// </summary>
        public static int RadiusThreshold = 150;
    }
}
